# Copyright (c) 2007, Adobe Systems, Incorporated
# All rights reserved.
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
# 
# * Redistributions of source code must retain the above copyright
#   notice, this list of conditions and the following disclaimer.
# 
# * Redistributions in binary form must reproduce the above copyright
#   notice, this list of conditions and the following disclaimer in the
#   documentation and/or other materials provided with the distribution.
# 
# * Neither the name of Adobe Systems, Network Resonance nor the names of its
#   contributors may be used to endorse or promote products derived from
#   this software without specific prior written permission.
# 
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# ICE_NET_TEST_ARCHIVE:
#    source files to compile to object and to place in a library archive
#
# ICE_NET_TEST_ARCHIVE_NAME:
#    the library name to use to archive the object files
#
# ICE_NET_TEST_ARCHIVE_TYPE:
#    either 'static', 'dynamic', or 'jni' (the default is 'static')
#
# ICE_NET_TEST_AUTOGENERATED:
#    whether this targets.mk is autogenerated (either 'true' or 'false')
#
# ICE_NET_TEST_COMPILE:
#    source files to compile to object
#
# ICE_NET_TEST_COPY:
#    files to copy to the build directory
#
# ICE_NET_TEST_GLOBAL_CFLAGS:
#    preprocessor and compile-time flags specific to compiling
#    everything
#
# ICE_NET_TEST_GLOBAL_LDFLAGS:
#    link-time flags specific to linking everything
#
# ICE_NET_TEST_LINK:
#    source files compile and link
#
# ICE_NET_TEST_LOCAL_CFLAGS:
#    preprocessor and compile-time flags specific to compiling only
#    the files in this module directory
#
# ICE_NET_TEST_LOCAL_LDFLAGS:
#    link-time flags specific to linking only the files in
#    this module directory
#
# ICE_NET_TEST_PREFIX:
#    defines the module name, which also serves as the
#    prefix for all the variable names defined in this file
#
# ICE_NET_TEST_SUBDIRS:
#    subdirectories containing additional targets.mk files
#
ICE_NET_TEST_ARCHIVE              = nr_socket_evil.c nr_socket_nat.c
ICE_NET_TEST_ARCHIVE_NAME         =
ICE_NET_TEST_ARCHIVE_TYPE         =
ICE_NET_TEST_AUTOGENERATED        = true
ICE_NET_TEST_COMPILE              =
ICE_NET_TEST_COPY                 =
ICE_NET_TEST_GLOBAL_CFLAGS        =
ICE_NET_TEST_GLOBAL_LDFLAGS       =
ICE_NET_TEST_LINK                 = evil_test.c nr_socket_nat_test.c \
                                    nr_socket_test.c transport_addr_reg_test.c
ICE_NET_TEST_LOCAL_CFLAGS         =
ICE_NET_TEST_LOCAL_LDFLAGS        =
ICE_NET_TEST_PREFIX               = ICE_NET_TEST
ICE_NET_TEST_SUBDIRS              =



#
#    AUTOMATICALLY-GENERATED SECTION
#



#
#    LOCAL ENVIRONMENT
#
ICE_NET_TEST_BUILD                = evil_test evil_test.$(OBJSUFFIX) \
                                    evil_test.d nr_socket_evil.$(OBJSUFFIX) \
                                    nr_socket_evil.d \
                                    nr_socket_nat.$(OBJSUFFIX) nr_socket_nat.d \
                                    nr_socket_nat_test \
                                    nr_socket_nat_test.$(OBJSUFFIX) \
                                    nr_socket_nat_test.d nr_socket_test \
                                    nr_socket_test.$(OBJSUFFIX) \
                                    nr_socket_test.d transport_addr_reg_test \
                                    transport_addr_reg_test.$(OBJSUFFIX) \
                                    transport_addr_reg_test.d



#
#    GLOBAL ENVIRONMENT
#
GLOBAL_BUILD                     += $(ICE_NET_TEST_BUILD)
GLOBAL_CFLAGS                    += $(ICE_NET_TEST_GLOBAL_CFLAGS) \
                                 -I$(ICE_NET_TEST_SRCDIR)
GLOBAL_LDFLAGS                   += $(ICE_NET_TEST_GLOBAL_LDFLAGS)



#
#    GENERIC DEPENDENCIES
#
all:                                $(ICE_NET_TEST_BUILD)
depend:                             evil_test.d
depend:                             nr_socket_evil.d
depend:                             nr_socket_nat.d
depend:                             nr_socket_nat_test.d
depend:                             nr_socket_test.d
depend:                             transport_addr_reg_test.d



#
#    BUILD DEPENDENCIES
#

evil_test.$(OBJSUFFIX): $(ICE_NET_TEST_SRCDIR)evil_test.c evil_test.d
	$(COMPILE.c) $@ $< $(ICE_NET_TEST_LOCAL_CFLAGS) $(GLOBAL_CFLAGS)

evil_test.d: $(ICE_NET_TEST_SRCDIR)evil_test.c
	$(COMPILE.c) $@ $< -MM -MG $(ICE_NET_TEST_LOCAL_CFLAGS) $(GLOBAL_CFLAGS)

nr_socket_evil.$(OBJSUFFIX): $(ICE_NET_TEST_SRCDIR)nr_socket_evil.c nr_socket_evil.d
	$(COMPILE.c) $@ $< $(ICE_NET_TEST_LOCAL_CFLAGS) $(GLOBAL_CFLAGS)

nr_socket_evil.d: $(ICE_NET_TEST_SRCDIR)nr_socket_evil.c
	$(COMPILE.c) $@ $< -MM -MG $(ICE_NET_TEST_LOCAL_CFLAGS) $(GLOBAL_CFLAGS)

nr_socket_nat.$(OBJSUFFIX): $(ICE_NET_TEST_SRCDIR)nr_socket_nat.c nr_socket_nat.d
	$(COMPILE.c) $@ $< $(ICE_NET_TEST_LOCAL_CFLAGS) $(GLOBAL_CFLAGS)

nr_socket_nat.d: $(ICE_NET_TEST_SRCDIR)nr_socket_nat.c
	$(COMPILE.c) $@ $< -MM -MG $(ICE_NET_TEST_LOCAL_CFLAGS) $(GLOBAL_CFLAGS)

nr_socket_nat_test.$(OBJSUFFIX): $(ICE_NET_TEST_SRCDIR)nr_socket_nat_test.c nr_socket_nat_test.d
	$(COMPILE.c) $@ $< $(ICE_NET_TEST_LOCAL_CFLAGS) $(GLOBAL_CFLAGS)

nr_socket_nat_test.d: $(ICE_NET_TEST_SRCDIR)nr_socket_nat_test.c
	$(COMPILE.c) $@ $< -MM -MG $(ICE_NET_TEST_LOCAL_CFLAGS) $(GLOBAL_CFLAGS)

nr_socket_test.$(OBJSUFFIX): $(ICE_NET_TEST_SRCDIR)nr_socket_test.c nr_socket_test.d
	$(COMPILE.c) $@ $< $(ICE_NET_TEST_LOCAL_CFLAGS) $(GLOBAL_CFLAGS)

nr_socket_test.d: $(ICE_NET_TEST_SRCDIR)nr_socket_test.c
	$(COMPILE.c) $@ $< -MM -MG $(ICE_NET_TEST_LOCAL_CFLAGS) $(GLOBAL_CFLAGS)

transport_addr_reg_test.$(OBJSUFFIX): $(ICE_NET_TEST_SRCDIR)transport_addr_reg_test.c transport_addr_reg_test.d
	$(COMPILE.c) $@ $< $(ICE_NET_TEST_LOCAL_CFLAGS) $(GLOBAL_CFLAGS)

transport_addr_reg_test.d: $(ICE_NET_TEST_SRCDIR)transport_addr_reg_test.c
	$(COMPILE.c) $@ $< -MM -MG $(ICE_NET_TEST_LOCAL_CFLAGS) $(GLOBAL_CFLAGS)

$(GLOBAL_LIBNAME): nr_socket_evil.$(OBJSUFFIX)

$(GLOBAL_LIBNAME): nr_socket_nat.$(OBJSUFFIX)

evil_test: evil_test.$(OBJSUFFIX) $(GLOBAL_LIBNAME)
	$(LINK.c) $@ evil_test.$(OBJSUFFIX) $(ICE_NET_TEST_LOCAL_LDFLAGS) $(GLOBAL_LDFLAGS)

nr_socket_nat_test: nr_socket_nat_test.$(OBJSUFFIX) $(GLOBAL_LIBNAME)
	$(LINK.c) $@ nr_socket_nat_test.$(OBJSUFFIX) $(ICE_NET_TEST_LOCAL_LDFLAGS) $(GLOBAL_LDFLAGS)

nr_socket_test: nr_socket_test.$(OBJSUFFIX) $(GLOBAL_LIBNAME)
	$(LINK.c) $@ nr_socket_test.$(OBJSUFFIX) $(ICE_NET_TEST_LOCAL_LDFLAGS) $(GLOBAL_LDFLAGS)

transport_addr_reg_test: transport_addr_reg_test.$(OBJSUFFIX) $(GLOBAL_LIBNAME)
	$(LINK.c) $@ transport_addr_reg_test.$(OBJSUFFIX) $(ICE_NET_TEST_LOCAL_LDFLAGS) $(GLOBAL_LDFLAGS)
